IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/72
Addresses2^56
/64 networksPart of one
- Network
2001:db8:0:0:8100::/72- First address
2001:db8:0:0:8100::- Last address
2001:db8::81ff:ffff:ffff:ffff- Addresses
- 72,057,594,037,927,936 (2^56)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:8100:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
1.8.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:0:0:8100::/72 makes 4,096 subnets of /84; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:0:8100::/84 | 2001:db8::8100:fff:ffff:ffff |
| 2 | 2001:db8::8100:1000:0:0/84 | 2001:db8::8100:1fff:ffff:ffff |
| 3 | 2001:db8::8100:2000:0:0/84 | 2001:db8::8100:2fff:ffff:ffff |
| 4 | 2001:db8::8100:3000:0:0/84 | 2001:db8::8100:3fff:ffff:ffff |
| 5 | 2001:db8::8100:4000:0:0/84 | 2001:db8::8100:4fff:ffff:ffff |
| 6 | 2001:db8::8100:5000:0:0/84 | 2001:db8::8100:5fff:ffff:ffff |
| 7 | 2001:db8::8100:6000:0:0/84 | 2001:db8::8100:6fff:ffff:ffff |
| 8 | 2001:db8::8100:7000:0:0/84 | 2001:db8::8100:7fff:ffff:ffff |
| 9 | 2001:db8::8100:8000:0:0/84 | 2001:db8::8100:8fff:ffff:ffff |
| 10 | 2001:db8::8100:9000:0:0/84 | 2001:db8::8100:9fff:ffff:ffff |
| 11 | 2001:db8::8100:a000:0:0/84 | 2001:db8::8100:afff:ffff:ffff |
| 12 | 2001:db8::8100:b000:0:0/84 | 2001:db8::8100:bfff:ffff:ffff |
| 13 | 2001:db8::8100:c000:0:0/84 | 2001:db8::8100:cfff:ffff:ffff |
| 14 | 2001:db8::8100:d000:0:0/84 | 2001:db8::8100:dfff:ffff:ffff |
| 15 | 2001:db8::8100:e000:0:0/84 | 2001:db8::8100:efff:ffff:ffff |
| 16 | 2001:db8::8100:f000:0:0/84 | 2001:db8::8100:ffff:ffff:ffff |
| 17 | 2001:db8:0:0:8101::/84 | 2001:db8::8101:fff:ffff:ffff |
| 18 | 2001:db8::8101:1000:0:0/84 | 2001:db8::8101:1fff:ffff:ffff |
| 19 | 2001:db8::8101:2000:0:0/84 | 2001:db8::8101:2fff:ffff:ffff |
| 20 | 2001:db8::8101:3000:0:0/84 | 2001:db8::8101:3fff:ffff:ffff |
| 21 | 2001:db8::8101:4000:0:0/84 | 2001:db8::8101:4fff:ffff:ffff |
| 22 | 2001:db8::8101:5000:0:0/84 | 2001:db8::8101:5fff:ffff:ffff |
| 23 | 2001:db8::8101:6000:0:0/84 | 2001:db8::8101:6fff:ffff:ffff |
| 24 | 2001:db8::8101:7000:0:0/84 | 2001:db8::8101:7fff:ffff:ffff |
| 25 | 2001:db8::8101:8000:0:0/84 | 2001:db8::8101:8fff:ffff:ffff |
| 26 | 2001:db8::8101:9000:0:0/84 | 2001:db8::8101:9fff:ffff:ffff |
| 27 | 2001:db8::8101:a000:0:0/84 | 2001:db8::8101:afff:ffff:ffff |
| 28 | 2001:db8::8101:b000:0:0/84 | 2001:db8::8101:bfff:ffff:ffff |
| 29 | 2001:db8::8101:c000:0:0/84 | 2001:db8::8101:cfff:ffff:ffff |
| 30 | 2001:db8::8101:d000:0:0/84 | 2001:db8::8101:dfff:ffff:ffff |
| 31 | 2001:db8::8101:e000:0:0/84 | 2001:db8::8101:efff:ffff:ffff |
| 32 | 2001:db8::8101:f000:0:0/84 | 2001:db8::8101:ffff:ffff:ffff |
| 33 | 2001:db8:0:0:8102::/84 | 2001:db8::8102:fff:ffff:ffff |
| 34 | 2001:db8::8102:1000:0:0/84 | 2001:db8::8102:1fff:ffff:ffff |
| 35 | 2001:db8::8102:2000:0:0/84 | 2001:db8::8102:2fff:ffff:ffff |
| 36 | 2001:db8::8102:3000:0:0/84 | 2001:db8::8102:3fff:ffff:ffff |
| 37 | 2001:db8::8102:4000:0:0/84 | 2001:db8::8102:4fff:ffff:ffff |
| 38 | 2001:db8::8102:5000:0:0/84 | 2001:db8::8102:5fff:ffff:ffff |
| 39 | 2001:db8::8102:6000:0:0/84 | 2001:db8::8102:6fff:ffff:ffff |
| 40 | 2001:db8::8102:7000:0:0/84 | 2001:db8::8102:7fff:ffff:ffff |
| 41 | 2001:db8::8102:8000:0:0/84 | 2001:db8::8102:8fff:ffff:ffff |
| 42 | 2001:db8::8102:9000:0:0/84 | 2001:db8::8102:9fff:ffff:ffff |
| 43 | 2001:db8::8102:a000:0:0/84 | 2001:db8::8102:afff:ffff:ffff |
| 44 | 2001:db8::8102:b000:0:0/84 | 2001:db8::8102:bfff:ffff:ffff |
| 45 | 2001:db8::8102:c000:0:0/84 | 2001:db8::8102:cfff:ffff:ffff |
| 46 | 2001:db8::8102:d000:0:0/84 | 2001:db8::8102:dfff:ffff:ffff |
| 47 | 2001:db8::8102:e000:0:0/84 | 2001:db8::8102:efff:ffff:ffff |
| 48 | 2001:db8::8102:f000:0:0/84 | 2001:db8::8102:ffff:ffff:ffff |
| 49 | 2001:db8:0:0:8103::/84 | 2001:db8::8103:fff:ffff:ffff |
| 50 | 2001:db8::8103:1000:0:0/84 | 2001:db8::8103:1fff:ffff:ffff |
| 51 | 2001:db8::8103:2000:0:0/84 | 2001:db8::8103:2fff:ffff:ffff |
| 52 | 2001:db8::8103:3000:0:0/84 | 2001:db8::8103:3fff:ffff:ffff |
| 53 | 2001:db8::8103:4000:0:0/84 | 2001:db8::8103:4fff:ffff:ffff |
| 54 | 2001:db8::8103:5000:0:0/84 | 2001:db8::8103:5fff:ffff:ffff |
| 55 | 2001:db8::8103:6000:0:0/84 | 2001:db8::8103:6fff:ffff:ffff |
| 56 | 2001:db8::8103:7000:0:0/84 | 2001:db8::8103:7fff:ffff:ffff |
| 57 | 2001:db8::8103:8000:0:0/84 | 2001:db8::8103:8fff:ffff:ffff |
| 58 | 2001:db8::8103:9000:0:0/84 | 2001:db8::8103:9fff:ffff:ffff |
| 59 | 2001:db8::8103:a000:0:0/84 | 2001:db8::8103:afff:ffff:ffff |
| 60 | 2001:db8::8103:b000:0:0/84 | 2001:db8::8103:bfff:ffff:ffff |
| 61 | 2001:db8::8103:c000:0:0/84 | 2001:db8::8103:cfff:ffff:ffff |
| 62 | 2001:db8::8103:d000:0:0/84 | 2001:db8::8103:dfff:ffff:ffff |
| 63 | 2001:db8::8103:e000:0:0/84 | 2001:db8::8103:efff:ffff:ffff |
| 64 | 2001:db8::8103:f000:0:0/84 | 2001:db8::8103:ffff:ffff:ffff |
| 65 | 2001:db8:0:0:8104::/84 | 2001:db8::8104:fff:ffff:ffff |
| 66 | 2001:db8::8104:1000:0:0/84 | 2001:db8::8104:1fff:ffff:ffff |
| 67 | 2001:db8::8104:2000:0:0/84 | 2001:db8::8104:2fff:ffff:ffff |
| 68 | 2001:db8::8104:3000:0:0/84 | 2001:db8::8104:3fff:ffff:ffff |
| 69 | 2001:db8::8104:4000:0:0/84 | 2001:db8::8104:4fff:ffff:ffff |
| 70 | 2001:db8::8104:5000:0:0/84 | 2001:db8::8104:5fff:ffff:ffff |
| 71 | 2001:db8::8104:6000:0:0/84 | 2001:db8::8104:6fff:ffff:ffff |
| 72 | 2001:db8::8104:7000:0:0/84 | 2001:db8::8104:7fff:ffff:ffff |
| 73 | 2001:db8::8104:8000:0:0/84 | 2001:db8::8104:8fff:ffff:ffff |
| 74 | 2001:db8::8104:9000:0:0/84 | 2001:db8::8104:9fff:ffff:ffff |
| 75 | 2001:db8::8104:a000:0:0/84 | 2001:db8::8104:afff:ffff:ffff |
| 76 | 2001:db8::8104:b000:0:0/84 | 2001:db8::8104:bfff:ffff:ffff |
| 77 | 2001:db8::8104:c000:0:0/84 | 2001:db8::8104:cfff:ffff:ffff |
| 78 | 2001:db8::8104:d000:0:0/84 | 2001:db8::8104:dfff:ffff:ffff |
| 79 | 2001:db8::8104:e000:0:0/84 | 2001:db8::8104:efff:ffff:ffff |
| 80 | 2001:db8::8104:f000:0:0/84 | 2001:db8::8104:ffff:ffff:ffff |
| 81 | 2001:db8:0:0:8105::/84 | 2001:db8::8105:fff:ffff:ffff |
| 82 | 2001:db8::8105:1000:0:0/84 | 2001:db8::8105:1fff:ffff:ffff |
| 83 | 2001:db8::8105:2000:0:0/84 | 2001:db8::8105:2fff:ffff:ffff |
| 84 | 2001:db8::8105:3000:0:0/84 | 2001:db8::8105:3fff:ffff:ffff |
| 85 | 2001:db8::8105:4000:0:0/84 | 2001:db8::8105:4fff:ffff:ffff |
| 86 | 2001:db8::8105:5000:0:0/84 | 2001:db8::8105:5fff:ffff:ffff |
| 87 | 2001:db8::8105:6000:0:0/84 | 2001:db8::8105:6fff:ffff:ffff |
| 88 | 2001:db8::8105:7000:0:0/84 | 2001:db8::8105:7fff:ffff:ffff |
| 89 | 2001:db8::8105:8000:0:0/84 | 2001:db8::8105:8fff:ffff:ffff |
| 90 | 2001:db8::8105:9000:0:0/84 | 2001:db8::8105:9fff:ffff:ffff |
| 91 | 2001:db8::8105:a000:0:0/84 | 2001:db8::8105:afff:ffff:ffff |
| 92 | 2001:db8::8105:b000:0:0/84 | 2001:db8::8105:bfff:ffff:ffff |
| 93 | 2001:db8::8105:c000:0:0/84 | 2001:db8::8105:cfff:ffff:ffff |
| 94 | 2001:db8::8105:d000:0:0/84 | 2001:db8::8105:dfff:ffff:ffff |
| 95 | 2001:db8::8105:e000:0:0/84 | 2001:db8::8105:efff:ffff:ffff |
| 96 | 2001:db8::8105:f000:0:0/84 | 2001:db8::8105:ffff:ffff:ffff |
| 97 | 2001:db8:0:0:8106::/84 | 2001:db8::8106:fff:ffff:ffff |
| 98 | 2001:db8::8106:1000:0:0/84 | 2001:db8::8106:1fff:ffff:ffff |
| 99 | 2001:db8::8106:2000:0:0/84 | 2001:db8::8106:2fff:ffff:ffff |
| 100 | 2001:db8::8106:3000:0:0/84 | 2001:db8::8106:3fff:ffff:ffff |
| 101 | 2001:db8::8106:4000:0:0/84 | 2001:db8::8106:4fff:ffff:ffff |
| 102 | 2001:db8::8106:5000:0:0/84 | 2001:db8::8106:5fff:ffff:ffff |
| 103 | 2001:db8::8106:6000:0:0/84 | 2001:db8::8106:6fff:ffff:ffff |
| 104 | 2001:db8::8106:7000:0:0/84 | 2001:db8::8106:7fff:ffff:ffff |
| 105 | 2001:db8::8106:8000:0:0/84 | 2001:db8::8106:8fff:ffff:ffff |
| 106 | 2001:db8::8106:9000:0:0/84 | 2001:db8::8106:9fff:ffff:ffff |
| 107 | 2001:db8::8106:a000:0:0/84 | 2001:db8::8106:afff:ffff:ffff |
| 108 | 2001:db8::8106:b000:0:0/84 | 2001:db8::8106:bfff:ffff:ffff |
| 109 | 2001:db8::8106:c000:0:0/84 | 2001:db8::8106:cfff:ffff:ffff |
| 110 | 2001:db8::8106:d000:0:0/84 | 2001:db8::8106:dfff:ffff:ffff |
| 111 | 2001:db8::8106:e000:0:0/84 | 2001:db8::8106:efff:ffff:ffff |
| 112 | 2001:db8::8106:f000:0:0/84 | 2001:db8::8106:ffff:ffff:ffff |
| 113 | 2001:db8:0:0:8107::/84 | 2001:db8::8107:fff:ffff:ffff |
| 114 | 2001:db8::8107:1000:0:0/84 | 2001:db8::8107:1fff:ffff:ffff |
| 115 | 2001:db8::8107:2000:0:0/84 | 2001:db8::8107:2fff:ffff:ffff |
| 116 | 2001:db8::8107:3000:0:0/84 | 2001:db8::8107:3fff:ffff:ffff |
| 117 | 2001:db8::8107:4000:0:0/84 | 2001:db8::8107:4fff:ffff:ffff |
| 118 | 2001:db8::8107:5000:0:0/84 | 2001:db8::8107:5fff:ffff:ffff |
| 119 | 2001:db8::8107:6000:0:0/84 | 2001:db8::8107:6fff:ffff:ffff |
| 120 | 2001:db8::8107:7000:0:0/84 | 2001:db8::8107:7fff:ffff:ffff |
| 121 | 2001:db8::8107:8000:0:0/84 | 2001:db8::8107:8fff:ffff:ffff |
| 122 | 2001:db8::8107:9000:0:0/84 | 2001:db8::8107:9fff:ffff:ffff |
| 123 | 2001:db8::8107:a000:0:0/84 | 2001:db8::8107:afff:ffff:ffff |
| 124 | 2001:db8::8107:b000:0:0/84 | 2001:db8::8107:bfff:ffff:ffff |
| 125 | 2001:db8::8107:c000:0:0/84 | 2001:db8::8107:cfff:ffff:ffff |
| 126 | 2001:db8::8107:d000:0:0/84 | 2001:db8::8107:dfff:ffff:ffff |
| 127 | 2001:db8::8107:e000:0:0/84 | 2001:db8::8107:efff:ffff:ffff |
| 128 | 2001:db8::8107:f000:0:0/84 | 2001:db8::8107:ffff:ffff:ffff |
| 129 | 2001:db8:0:0:8108::/84 | 2001:db8::8108:fff:ffff:ffff |
| 130 | 2001:db8::8108:1000:0:0/84 | 2001:db8::8108:1fff:ffff:ffff |
| 131 | 2001:db8::8108:2000:0:0/84 | 2001:db8::8108:2fff:ffff:ffff |
| 132 | 2001:db8::8108:3000:0:0/84 | 2001:db8::8108:3fff:ffff:ffff |
| 133 | 2001:db8::8108:4000:0:0/84 | 2001:db8::8108:4fff:ffff:ffff |
| 134 | 2001:db8::8108:5000:0:0/84 | 2001:db8::8108:5fff:ffff:ffff |
| 135 | 2001:db8::8108:6000:0:0/84 | 2001:db8::8108:6fff:ffff:ffff |
| 136 | 2001:db8::8108:7000:0:0/84 | 2001:db8::8108:7fff:ffff:ffff |
| 137 | 2001:db8::8108:8000:0:0/84 | 2001:db8::8108:8fff:ffff:ffff |
| 138 | 2001:db8::8108:9000:0:0/84 | 2001:db8::8108:9fff:ffff:ffff |
| 139 | 2001:db8::8108:a000:0:0/84 | 2001:db8::8108:afff:ffff:ffff |
| 140 | 2001:db8::8108:b000:0:0/84 | 2001:db8::8108:bfff:ffff:ffff |
| 141 | 2001:db8::8108:c000:0:0/84 | 2001:db8::8108:cfff:ffff:ffff |
| 142 | 2001:db8::8108:d000:0:0/84 | 2001:db8::8108:dfff:ffff:ffff |
| 143 | 2001:db8::8108:e000:0:0/84 | 2001:db8::8108:efff:ffff:ffff |
| 144 | 2001:db8::8108:f000:0:0/84 | 2001:db8::8108:ffff:ffff:ffff |
| 145 | 2001:db8:0:0:8109::/84 | 2001:db8::8109:fff:ffff:ffff |
| 146 | 2001:db8::8109:1000:0:0/84 | 2001:db8::8109:1fff:ffff:ffff |
| 147 | 2001:db8::8109:2000:0:0/84 | 2001:db8::8109:2fff:ffff:ffff |
| 148 | 2001:db8::8109:3000:0:0/84 | 2001:db8::8109:3fff:ffff:ffff |
| 149 | 2001:db8::8109:4000:0:0/84 | 2001:db8::8109:4fff:ffff:ffff |
| 150 | 2001:db8::8109:5000:0:0/84 | 2001:db8::8109:5fff:ffff:ffff |
| 151 | 2001:db8::8109:6000:0:0/84 | 2001:db8::8109:6fff:ffff:ffff |
| 152 | 2001:db8::8109:7000:0:0/84 | 2001:db8::8109:7fff:ffff:ffff |
| 153 | 2001:db8::8109:8000:0:0/84 | 2001:db8::8109:8fff:ffff:ffff |
| 154 | 2001:db8::8109:9000:0:0/84 | 2001:db8::8109:9fff:ffff:ffff |
| 155 | 2001:db8::8109:a000:0:0/84 | 2001:db8::8109:afff:ffff:ffff |
| 156 | 2001:db8::8109:b000:0:0/84 | 2001:db8::8109:bfff:ffff:ffff |
| 157 | 2001:db8::8109:c000:0:0/84 | 2001:db8::8109:cfff:ffff:ffff |
| 158 | 2001:db8::8109:d000:0:0/84 | 2001:db8::8109:dfff:ffff:ffff |
| 159 | 2001:db8::8109:e000:0:0/84 | 2001:db8::8109:efff:ffff:ffff |
| 160 | 2001:db8::8109:f000:0:0/84 | 2001:db8::8109:ffff:ffff:ffff |
| 161 | 2001:db8:0:0:810a::/84 | 2001:db8::810a:fff:ffff:ffff |
| 162 | 2001:db8::810a:1000:0:0/84 | 2001:db8::810a:1fff:ffff:ffff |
| 163 | 2001:db8::810a:2000:0:0/84 | 2001:db8::810a:2fff:ffff:ffff |
| 164 | 2001:db8::810a:3000:0:0/84 | 2001:db8::810a:3fff:ffff:ffff |
| 165 | 2001:db8::810a:4000:0:0/84 | 2001:db8::810a:4fff:ffff:ffff |
| 166 | 2001:db8::810a:5000:0:0/84 | 2001:db8::810a:5fff:ffff:ffff |
| 167 | 2001:db8::810a:6000:0:0/84 | 2001:db8::810a:6fff:ffff:ffff |
| 168 | 2001:db8::810a:7000:0:0/84 | 2001:db8::810a:7fff:ffff:ffff |
| 169 | 2001:db8::810a:8000:0:0/84 | 2001:db8::810a:8fff:ffff:ffff |
| 170 | 2001:db8::810a:9000:0:0/84 | 2001:db8::810a:9fff:ffff:ffff |
| 171 | 2001:db8::810a:a000:0:0/84 | 2001:db8::810a:afff:ffff:ffff |
| 172 | 2001:db8::810a:b000:0:0/84 | 2001:db8::810a:bfff:ffff:ffff |
| 173 | 2001:db8::810a:c000:0:0/84 | 2001:db8::810a:cfff:ffff:ffff |
| 174 | 2001:db8::810a:d000:0:0/84 | 2001:db8::810a:dfff:ffff:ffff |
| 175 | 2001:db8::810a:e000:0:0/84 | 2001:db8::810a:efff:ffff:ffff |
| 176 | 2001:db8::810a:f000:0:0/84 | 2001:db8::810a:ffff:ffff:ffff |
| 177 | 2001:db8:0:0:810b::/84 | 2001:db8::810b:fff:ffff:ffff |
| 178 | 2001:db8::810b:1000:0:0/84 | 2001:db8::810b:1fff:ffff:ffff |
| 179 | 2001:db8::810b:2000:0:0/84 | 2001:db8::810b:2fff:ffff:ffff |
| 180 | 2001:db8::810b:3000:0:0/84 | 2001:db8::810b:3fff:ffff:ffff |
| 181 | 2001:db8::810b:4000:0:0/84 | 2001:db8::810b:4fff:ffff:ffff |
| 182 | 2001:db8::810b:5000:0:0/84 | 2001:db8::810b:5fff:ffff:ffff |
| 183 | 2001:db8::810b:6000:0:0/84 | 2001:db8::810b:6fff:ffff:ffff |
| 184 | 2001:db8::810b:7000:0:0/84 | 2001:db8::810b:7fff:ffff:ffff |
| 185 | 2001:db8::810b:8000:0:0/84 | 2001:db8::810b:8fff:ffff:ffff |
| 186 | 2001:db8::810b:9000:0:0/84 | 2001:db8::810b:9fff:ffff:ffff |
| 187 | 2001:db8::810b:a000:0:0/84 | 2001:db8::810b:afff:ffff:ffff |
| 188 | 2001:db8::810b:b000:0:0/84 | 2001:db8::810b:bfff:ffff:ffff |
| 189 | 2001:db8::810b:c000:0:0/84 | 2001:db8::810b:cfff:ffff:ffff |
| 190 | 2001:db8::810b:d000:0:0/84 | 2001:db8::810b:dfff:ffff:ffff |
| 191 | 2001:db8::810b:e000:0:0/84 | 2001:db8::810b:efff:ffff:ffff |
| 192 | 2001:db8::810b:f000:0:0/84 | 2001:db8::810b:ffff:ffff:ffff |
| 193 | 2001:db8:0:0:810c::/84 | 2001:db8::810c:fff:ffff:ffff |
| 194 | 2001:db8::810c:1000:0:0/84 | 2001:db8::810c:1fff:ffff:ffff |
| 195 | 2001:db8::810c:2000:0:0/84 | 2001:db8::810c:2fff:ffff:ffff |
| 196 | 2001:db8::810c:3000:0:0/84 | 2001:db8::810c:3fff:ffff:ffff |
| 197 | 2001:db8::810c:4000:0:0/84 | 2001:db8::810c:4fff:ffff:ffff |
| 198 | 2001:db8::810c:5000:0:0/84 | 2001:db8::810c:5fff:ffff:ffff |
| 199 | 2001:db8::810c:6000:0:0/84 | 2001:db8::810c:6fff:ffff:ffff |
| 200 | 2001:db8::810c:7000:0:0/84 | 2001:db8::810c:7fff:ffff:ffff |
| 201 | 2001:db8::810c:8000:0:0/84 | 2001:db8::810c:8fff:ffff:ffff |
| 202 | 2001:db8::810c:9000:0:0/84 | 2001:db8::810c:9fff:ffff:ffff |
| 203 | 2001:db8::810c:a000:0:0/84 | 2001:db8::810c:afff:ffff:ffff |
| 204 | 2001:db8::810c:b000:0:0/84 | 2001:db8::810c:bfff:ffff:ffff |
| 205 | 2001:db8::810c:c000:0:0/84 | 2001:db8::810c:cfff:ffff:ffff |
| 206 | 2001:db8::810c:d000:0:0/84 | 2001:db8::810c:dfff:ffff:ffff |
| 207 | 2001:db8::810c:e000:0:0/84 | 2001:db8::810c:efff:ffff:ffff |
| 208 | 2001:db8::810c:f000:0:0/84 | 2001:db8::810c:ffff:ffff:ffff |
| 209 | 2001:db8:0:0:810d::/84 | 2001:db8::810d:fff:ffff:ffff |
| 210 | 2001:db8::810d:1000:0:0/84 | 2001:db8::810d:1fff:ffff:ffff |
| 211 | 2001:db8::810d:2000:0:0/84 | 2001:db8::810d:2fff:ffff:ffff |
| 212 | 2001:db8::810d:3000:0:0/84 | 2001:db8::810d:3fff:ffff:ffff |
| 213 | 2001:db8::810d:4000:0:0/84 | 2001:db8::810d:4fff:ffff:ffff |
| 214 | 2001:db8::810d:5000:0:0/84 | 2001:db8::810d:5fff:ffff:ffff |
| 215 | 2001:db8::810d:6000:0:0/84 | 2001:db8::810d:6fff:ffff:ffff |
| 216 | 2001:db8::810d:7000:0:0/84 | 2001:db8::810d:7fff:ffff:ffff |
| 217 | 2001:db8::810d:8000:0:0/84 | 2001:db8::810d:8fff:ffff:ffff |
| 218 | 2001:db8::810d:9000:0:0/84 | 2001:db8::810d:9fff:ffff:ffff |
| 219 | 2001:db8::810d:a000:0:0/84 | 2001:db8::810d:afff:ffff:ffff |
| 220 | 2001:db8::810d:b000:0:0/84 | 2001:db8::810d:bfff:ffff:ffff |
| 221 | 2001:db8::810d:c000:0:0/84 | 2001:db8::810d:cfff:ffff:ffff |
| 222 | 2001:db8::810d:d000:0:0/84 | 2001:db8::810d:dfff:ffff:ffff |
| 223 | 2001:db8::810d:e000:0:0/84 | 2001:db8::810d:efff:ffff:ffff |
| 224 | 2001:db8::810d:f000:0:0/84 | 2001:db8::810d:ffff:ffff:ffff |
| 225 | 2001:db8:0:0:810e::/84 | 2001:db8::810e:fff:ffff:ffff |
| 226 | 2001:db8::810e:1000:0:0/84 | 2001:db8::810e:1fff:ffff:ffff |
| 227 | 2001:db8::810e:2000:0:0/84 | 2001:db8::810e:2fff:ffff:ffff |
| 228 | 2001:db8::810e:3000:0:0/84 | 2001:db8::810e:3fff:ffff:ffff |
| 229 | 2001:db8::810e:4000:0:0/84 | 2001:db8::810e:4fff:ffff:ffff |
| 230 | 2001:db8::810e:5000:0:0/84 | 2001:db8::810e:5fff:ffff:ffff |
| 231 | 2001:db8::810e:6000:0:0/84 | 2001:db8::810e:6fff:ffff:ffff |
| 232 | 2001:db8::810e:7000:0:0/84 | 2001:db8::810e:7fff:ffff:ffff |
| 233 | 2001:db8::810e:8000:0:0/84 | 2001:db8::810e:8fff:ffff:ffff |
| 234 | 2001:db8::810e:9000:0:0/84 | 2001:db8::810e:9fff:ffff:ffff |
| 235 | 2001:db8::810e:a000:0:0/84 | 2001:db8::810e:afff:ffff:ffff |
| 236 | 2001:db8::810e:b000:0:0/84 | 2001:db8::810e:bfff:ffff:ffff |
| 237 | 2001:db8::810e:c000:0:0/84 | 2001:db8::810e:cfff:ffff:ffff |
| 238 | 2001:db8::810e:d000:0:0/84 | 2001:db8::810e:dfff:ffff:ffff |
| 239 | 2001:db8::810e:e000:0:0/84 | 2001:db8::810e:efff:ffff:ffff |
| 240 | 2001:db8::810e:f000:0:0/84 | 2001:db8::810e:ffff:ffff:ffff |
| 241 | 2001:db8:0:0:810f::/84 | 2001:db8::810f:fff:ffff:ffff |
| 242 | 2001:db8::810f:1000:0:0/84 | 2001:db8::810f:1fff:ffff:ffff |
| 243 | 2001:db8::810f:2000:0:0/84 | 2001:db8::810f:2fff:ffff:ffff |
| 244 | 2001:db8::810f:3000:0:0/84 | 2001:db8::810f:3fff:ffff:ffff |
| 245 | 2001:db8::810f:4000:0:0/84 | 2001:db8::810f:4fff:ffff:ffff |
| 246 | 2001:db8::810f:5000:0:0/84 | 2001:db8::810f:5fff:ffff:ffff |
| 247 | 2001:db8::810f:6000:0:0/84 | 2001:db8::810f:6fff:ffff:ffff |
| 248 | 2001:db8::810f:7000:0:0/84 | 2001:db8::810f:7fff:ffff:ffff |
| 249 | 2001:db8::810f:8000:0:0/84 | 2001:db8::810f:8fff:ffff:ffff |
| 250 | 2001:db8::810f:9000:0:0/84 | 2001:db8::810f:9fff:ffff:ffff |
| 251 | 2001:db8::810f:a000:0:0/84 | 2001:db8::810f:afff:ffff:ffff |
| 252 | 2001:db8::810f:b000:0:0/84 | 2001:db8::810f:bfff:ffff:ffff |
| 253 | 2001:db8::810f:c000:0:0/84 | 2001:db8::810f:cfff:ffff:ffff |
| 254 | 2001:db8::810f:d000:0:0/84 | 2001:db8::810f:dfff:ffff:ffff |
| 255 | 2001:db8::810f:e000:0:0/84 | 2001:db8::810f:efff:ffff:ffff |
| 256 | 2001:db8::810f:f000:0:0/84 | 2001:db8::810f:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |